Bug 1282599 - Triple-O ISO installer does not support UEFI [NEEDINFO]
Triple-O ISO installer does not support UEFI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: Jason Montleon
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-16 15:47 EST by Thom Carlin
Modified: 2016-10-03 15:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:03:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcarlin: needinfo? (dmacpher)


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-11-16 15:47:39 EST
Description of problem:

Installing Triple-O ISO install fails when booted using UEFI.

Version-Release number of selected component (if applicable):

RHCIOOO-7-RHEL-7-20151104.t.1

How reproducible:

100%

Steps to Reproduce:
1. Boot Triple-O ISO from UEFI
2. wait
3.

Actual results:

Failed to write bootloader configuration

Expected results:

No errors
Working Triple-O environment

Additional info:

Same system works fine with same ISO and legacy (CSM) BIOS.
os-prober shows: /dev/sda4:Red Hat Enterprise Linux Server release 7.1 (Maipo):RedHat:linux
Comment 1 Thom Carlin 2015-11-17 06:22:43 EST
Problem occurs in post-installation steps (os-prober/grub2-mkconfig).

RHCS-I (Sat 6) ISO appears to install OK, testing launch-fusor-installer now
Comment 2 Thom Carlin 2015-11-17 07:02:31 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1282599 complicates testing Sat6 ISO.
Comment 3 Jason Montleon 2015-11-17 07:26:05 EST
If it's happening in post installation we might just be missing a package or packages. I'll take a look and see if I can sort it out.
Comment 4 Jason Montleon 2015-11-18 14:43:28 EST
I don't know why yet, but it's trying to write grub.cfg in /boot/efi/EFI/fedora instead of redhat. Still investigating.
Comment 5 Jason Montleon 2015-11-18 15:33:12 EST
The product title needs to start with Red Hat, otherwise anaconda guesses it is Fedora. As we have it set to RHEL OSP Undercloud that's why it's breaking. I am spinning a new ISO with it changed to Red Hat OSP Undercloud until they decide what they want it to be that will also satisfy anaconda.
Comment 7 Thom Carlin 2015-11-19 08:06:47 EST
Verified in 20151118.t.3.

Please note that the system I tested on was a Dell.  The reboot said "No boot device available" when boot mode was set to BIOS.

It worked fine when boot mode was set to UEFI.  May be worth doc text.

Note You need to log in before you can comment on or make changes to this bug.